Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class AccountIdentification3Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.AccountIdentification3Choice

    public class AccountIdentification3Choice
    extends java.lang.Object

Java class for AccountIdentification3Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountIdentification3Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="IBAN" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}IBANIdentifier"/>
               <element name="BBAN" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BBANIdentifier"/>
               <element name="UPIC" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}UPICIdentifier"/>
               <element name="PrtryAcct" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}SimpleIdentificationInformation2"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `bban`
`protected java.lang.String` `iban`
`protected SimpleIdentificationInformation2` `prtryAcct`
`protected java.lang.String` `upic`

### Constructor Summary

Constructors
`AccountIdentification3Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getBBAN()` Gets the value of the bban property.
`java.lang.String` `getIBAN()` Gets the value of the iban property.
`SimpleIdentificationInformation2` `getPrtryAcct()` Gets the value of the prtryAcct property.
`java.lang.String` `getUPIC()` Gets the value of the upic property.
`void` `setBBAN​(java.lang.String value)` Sets the value of the bban property.
`void` `setIBAN​(java.lang.String value)` Sets the value of the iban property.
`void` `setPrtryAcct​(SimpleIdentificationInformation2 value)` Sets the value of the prtryAcct property.
`void` `setUPIC​(java.lang.String value)` Sets the value of the upic property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### iban

    protected java.lang.String iban

#### bban

    protected java.lang.String bban

#### upic

    protected java.lang.String upic

#### prtryAcct

    protected SimpleIdentificationInformation2 prtryAcct

### Constructor Detail

#### AccountIdentification3Choice

    public AccountIdentification3Choice()

### Method Detail

#### getIBAN

    public java.lang.String getIBAN()

Gets the value of the iban property.

Returns:
  possible object is `String`

#### setIBAN

    public void setIBAN​(java.lang.String value)

Sets the value of the iban property.

Parameters:
  `value` - allowed object is `String`

#### getBBAN

    public java.lang.String getBBAN()

Gets the value of the bban property.

Returns:
  possible object is `String`

#### setBBAN

    public void setBBAN​(java.lang.String value)

Sets the value of the bban property.

Parameters:
  `value` - allowed object is `String`

#### getUPIC

    public java.lang.String getUPIC()

Gets the value of the upic property.

Returns:
  possible object is `String`

#### setUPIC

    public void setUPIC​(java.lang.String value)

Sets the value of the upic property.

Parameters:
  `value` - allowed object is `String`

#### getPrtryAcct

    public SimpleIdentificationInformation2 getPrtryAcct()

Gets the value of the prtryAcct property.

Returns:
  possible object is `SimpleIdentificationInformation2`

#### setPrtryAcct

    public void setPrtryAcct​(SimpleIdentificationInformation2 value)

Sets the value of the prtryAcct property.

Parameters:
  `value` - allowed object is `SimpleIdentificationInformation2`